local mwtcucs
local mmfppb
local mmftlf
local iwm
    for _, m in pairs(BLT.Mods:Mods()) do
        if m:GetName() == "More modifications for PP-Bizon" then
            mmfppb = m
        end
        if m:GetName() == "More modifications for The Little Friend. 7.62" then
            mmftlf = m
        end
        if m:GetName() == "More weapons that can use CAR Stocks" then
            mwtcucs = m
        end
        if m:GetName() == "Improved weapon modification" then
            iwm = m
        end
    end
	
Hooks:PostHook( WeaponFactoryTweakData, "init", "stock_packmodInit", function(self)

self.parts.wpn_fps_ass_ak5_s_ak5b_col.adds = {"wpn_fps_ass_ak5_s_ak5a_col"} 
self.parts.wpn_fps_shot_r870_s_unfolded.forbids = nil

if self.parts.wpn_fps_galil_m_drum then
	self.parts.wpn_fps_ass_galil_s_sta_folded.forbids 		= {"wpn_fps_galil_m_drum"}
	self.parts.wpn_fps_ass_galil_s_fab_folded.forbids 		= {"wpn_fps_galil_m_drum"}
	self.parts.wpn_fps_ass_galil_s_light_folded.forbids 	= {"wpn_fps_galil_m_drum"}
	self.parts.wpn_fps_ass_galil_s_plastic_folded.forbids 	= {"wpn_fps_galil_m_drum"}
	self.parts.wpn_fps_ass_galil_s_skeletal_folded.forbids 	= {"wpn_fps_galil_m_drum"}
	self.parts.wpn_fps_ass_galil_s_sniper_folded.forbids	= {"wpn_fps_galil_m_drum"}
	self.parts.wpn_fps_ass_galil_s_wood_folded.forbids 		= {"wpn_fps_galil_m_drum"}
end
self.wpn_fps_ass_g36.override = self.wpn_fps_ass_g36.override or {}
self.wpn_fps_ass_g36.override.wpn_fps_upg_m4_s_collapsed = {adds = {
		       "wpn_fps_ass_g36_body_standard",		
			   "wpn_fps_ass_g36_g_standard"
		    }}
self.wpn_fps_ass_g36.override.wpn_fps_upg_m4_s_pts_col = {adds = {
		       "wpn_fps_ass_g36_body_standard",		
			   "wpn_fps_ass_g36_g_standard"
		    }}
self.wpn_fps_ass_g36.override.wpn_fps_upg_m4_s_crane_col = {adds = {
		       "wpn_fps_ass_g36_body_standard",		
			   "wpn_fps_ass_g36_g_standard"
		    }}
self.wpn_fps_ass_g36.override.wpn_fps_upg_m4_s_mk46_col = {adds = {
		       "wpn_fps_ass_g36_body_standard",		
			   "wpn_fps_ass_g36_g_standard"
		    }}
self.wpn_fps_ass_g36.override.wpn_fps_upg_m4_s_ubr_col = {adds = {
		       "wpn_fps_ass_g36_body_standard",		
			   "wpn_fps_ass_g36_g_standard"
		    }}
if mmfppb and mmfppb:IsEnabled() then
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
end
if mmftlf and mmftlf:IsEnabled() then
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_smg_olympic_s_adjusted")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_ass_tecci_s_extended")
end
if mwtcucs and mwtcucs:IsEnabled() then
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
end
if iwm and iwm:IsEnabled() then
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_galil.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_mac10.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_fal.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_asval.uses_parts, "wpn_fps_upg_m4_s_ubr_col")	
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_collapsed")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_pts_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_crane_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_smg_olympic_s_adjusted")
	table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_ass_tecci_s_extended")
end

if not SystemFS:exists("assets/mod_overrides/Extra Attachments Compilation+-/main.xml") then
self.wpn_fps_smg_x_mp5.override.wpn_fps_smg_mp5_s_folded = {
		stats = {
					spread = 0,
					damage = 0,
					concealment = -2,
					recoil = 1
		}
}

self.wpn_fps_smg_x_akmsu.override = {
	wpn_upg_ak_s_skfolded = {
		stats = {
					spread = 1,
					damage = 0,
					concealment = -2,
					recoil = 1
		}
	},
	wpn_upg_ak_s_collapsed = {
		stats = {
					spread = 0,
					damage = 0,
					concealment = -1,
					recoil = 1
		}
	}
}
else 
table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_collapsed")
table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_pts_col")
table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_crane_col")
table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
table.insert(self.wpn_fps_smg_hajk.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_collapsed")
table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_pts_col")
table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_crane_col")
table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
table.insert(self.wpn_fps_smg_coal.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_collapsed")
table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_pts_col")
table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_crane_col")
table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
table.insert(self.wpn_fps_smg_schakal.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_collapsed")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_pts_col")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_crane_col")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_mk46_col")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_ubr_col")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_smg_olympic_s_adjusted")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_ass_tecci_s_extended")

self.wpn_fps_ass_contraband.override = {
	wpn_fps_ass_tecci_s_extended = {
		stats = {
					spread = 0,
					damage = 0,
					concealment = 1,
					recoil = -2
		}
	},
	wpn_fps_smg_olympic_s_adjusted = {
		stats = {
					spread = -1,
					damage = 0,
					concealment = 2,
					recoil = -2
		}
	}
}
end

self.wpn_fps_shot_serbu.override = self.wpn_fps_shot_serbu.override or {}
self.wpn_fps_shot_serbu.override.wpn_fps_shot_r870_s_unfolded = {
stats = {
			spread = 0,
			damage = 0,
			concealment = -2,
			recoil = 1
}
}

self.wpn_fps_smg_x_olympic.override = self.wpn_fps_smg_x_olympic.override or {}
self.wpn_fps_smg_x_olympic.override.wpn_fps_smg_olympic_s_adjusted = {
stats = {
			spread = 0,
			damage = 0,
			concealment = -1,
			recoil = 1
}
}

self.wpn_fps_smg_x_schakal.override = self.wpn_fps_smg_x_schakal.override or {}
self.wpn_fps_smg_x_schakal.override.wpn_fps_smg_schakal_s_nostock = {
stats = {
			spread = 0,
			damage = 0,
			concealment = 1,
			recoil = -1
}
}

self.wpn_fps_smg_x_tec9.override = self.wpn_fps_smg_x_tec9.override or {}
self.wpn_fps_smg_x_tec9.override.wpn_fps_smg_tec9_s_retrac2 = {
stats = {
			spread = 1,
			damage = 0,
			concealment = -2,
			recoil = 0
}
}

self.wpn_fps_smg_x_uzi.override = self.wpn_fps_smg_x_uzi.override or {}
self.wpn_fps_smg_x_uzi.override.wpn_fps_smg_uzi_s_nostock = {
stats = {
			spread = 0,
			damage = 0,
			concealment = 1,
			recoil = -1
}
}

self.parts.wpn_fps_snp_winchester_m_standard.reload_objects = {
		reload_not_empty = {"g_bullets","g_clip"},
		reload = {"g_bullets","g_clip"}
	}

self.wpn_fps_smg_olympic.override = {
	wpn_fps_upg_m4_s_ubr_col = {
		stats = {
					spread = 0,
					damage = 0,
					concealment = -1,
					recoil = 1
		}
		},
	wpn_fps_upg_m4_s_mk46_col = {
		stats = {
					spread = 1,
					damage = 0,
					concealment = -2,
					recoil = 1
		}
		},
	wpn_fps_upg_m4_s_crane_col = {
		stats = {
					spread = 1,
					damage = 0,
					concealment = -1,
					recoil = 0
		}
		},
	wpn_fps_upg_m4_s_pts_col = {
		stats = {
					spread = 0,
					damage = 0,
					concealment = -1,
					recoil = 1
		}
		},
	wpn_fps_upg_m4_s_collapsed = {
		stats = {
					spread = 0,
					damage = 0,
					concealment = -1,
					recoil = 1
		}
		}
}

if self.parts.wpn_fps_saiga_m_drum then
	self.parts.wpn_upg_saiga_s_folded.forbids 		= {"wpn_fps_saiga_m_drum"}
end
if self.parts.wpn_fps_akm_m_dmag then
	self.parts.wpn_upg_ak_s_collapsed.forbids 		= {"wpn_lmg_rpk_m_drum","wpn_fps_akm_m_dmag","wpn_fps_ak74_m_dmag","wpn_fps_akm_gold_m_dmag","wpn_fps_akmsu_m_dmag","wpn_fps_ak17_m_dmag"}
	self.parts.wpn_upg_ak_s_skfolded.forbids 		= {"wpn_lmg_rpk_m_drum","wpn_fps_akm_m_dmag","wpn_fps_ak74_m_dmag","wpn_fps_akm_gold_m_dmag","wpn_fps_akmsu_m_dmag","wpn_fps_ak17_m_dmag"}
	self.parts.wpn_upg_ak_s_folded_gold.forbids 	= {"wpn_lmg_rpk_m_drum","wpn_fps_akm_m_dmag","wpn_fps_ak74_m_dmag","wpn_fps_akm_gold_m_dmag","wpn_fps_akmsu_m_dmag","wpn_fps_ak17_m_dmag"}
else
	self.parts.wpn_upg_ak_s_collapsed.forbids 		= {"wpn_lmg_rpk_m_drum"}
	self.parts.wpn_upg_ak_s_skfolded.forbids 		= {"wpn_lmg_rpk_m_drum"}
end

if self.parts.wpn_fps_upg_banana_mag and self.parts.wpn_fps_rpk_drummag then
	self.parts.wpn_upg_ak_s_collapsed.forbids 		= {"wpn_fps_rpk_drummag"}
	self.parts.wpn_upg_ak_s_skfolded.forbids 		= {"wpn_fps_rpk_drummag"}
end
if self.parts.wpn_fps_upg_banana_mag and self.parts.wpn_fps_rpk_drummag and self.parts.wpn_fps_akm_m_dmag then
	self.parts.wpn_upg_ak_s_collapsed.forbids 		= {"wpn_fps_rpk_drummag","wpn_fps_akm_m_dmag","wpn_fps_ak74_m_dmag","wpn_fps_akm_gold_m_dmag","wpn_fps_akmsu_m_dmag","wpn_fps_ak17_m_dmag"}
	self.parts.wpn_upg_ak_s_folded_gold.forbids 	= {"wpn_fps_rpk_drummag","wpn_fps_akm_m_dmag","wpn_fps_ak74_m_dmag","wpn_fps_akm_gold_m_dmag","wpn_fps_akmsu_m_dmag","wpn_fps_ak17_m_dmag"}
	self.parts.wpn_upg_ak_s_skfolded.forbids 		= {"wpn_fps_rpk_drummag","wpn_fps_akm_m_dmag","wpn_fps_ak74_m_dmag","wpn_fps_akm_gold_m_dmag","wpn_fps_akmsu_m_dmag","wpn_fps_ak17_m_dmag"}
end

end )